Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalNot Class Reference

A NOT logical criterion. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalNot:

## Public Member Functions
| __construct (Criterion $criterion)
| Creates a new NOT logic criterion. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator
| __construct (array $criteria)
| Creates a Logic operation with the given criteria. More...
| getSpecifications ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
| __construct ($target, $operator, $value, Value $valueData=null)
| Performs operator validation based on the Criterion specifications returned by {. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
static | createFromQueryBuilder ($target, $operator, $value)
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator
| $criteria = []
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
| $operator
| $value
| $target
| $valueData

## Detailed Description

A NOT logical criterion.

Definition at line 14 of file API/Repository/Values/Content/Query/Criterion/LogicalNot.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalNot::__construct | ( | Criterion | $criterion | ) |

Creates a new NOT logic criterion.

Will match of the given criterion doesn't match

Parameters

  Criterion[] | $criteria | One criterion, as an array

Exceptions

Definition at line 25 of file API/Repository/Values/Content/Query/Criterion/LogicalNot.php.

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/Query/Criterion/LogicalNot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.